Page MenuHomeMiraheze

Comment function does not work
Closed, ResolvedPublic

Description

There is a problem that can not be commented on Shiropedia. Please correct as soon as possible.

https://shiropedia.miraheze.org/wiki/%E3%83%A1%E3%82%A4%E3%83%B3%E3%83%9A%E3%83%BC%E3%82%B8

Related Objects

Event Timeline

Reception123 triaged this task as Normal priority.May 16 2020, 16:37
Reception123 added a project: Extensions.
Reception123 added a subscriber: Reception123.

Hi. Could you please link the page where it doesn't work? You linked the Main Page and I don't see any <comments /> tags there.

All pages that use the comment function.

Hi, please could you explain what the issue is exactly? What's not working (e.g error name/code). And how do we reproduce?

I just posted a comment and it worked for me.

I can't comment even if I press the post comment button.

Is it just my environment? On other wikis I can comment on my device too.

That is weird, because I am able to comment on the wiki you have mentioned.

Is it just my environment? On other wikis I can comment on my device too.

Please can you give us your OS & Browser Version

Only Shiropedia can't comment, other wikis can comment normally.

Users in Japan may not be able to comment. My friends couldn't comment either

Since there was no progress, I uncommented the comment extension and re-inserted it, but an error occurred.

[257ddcbd6f56612ec9a0ca1c] 2020-06-21 12:17:40: 種別「Error」の致命的例外

This error occurs when editing.

2020-06-21 12:17:40 mw5 shiropediawiki: [257ddcbd6f56612ec9a0ca1c] /w/index.php?title=%E5%9F%8E%E3%83%9A%E3%83%87%E3%82%A3%E3%82%A2:%E6%97%A5%E5%B8%B8%E4%BC%9A%E8%A9%B1&action=edit   Error from line 245 of /srv/mediawiki/w/extensions/Comments/includes/CommentsPage.php: Call to private Comment::__construct() from context 'CommentsPage'
#0 /srv/mediawiki/w/extensions/Comments/includes/CommentsPage.php(480): CommentsPage->getComments()
#1 /srv/mediawiki/w/extensions/Comments/includes/parser/DisplayComments.php(83): CommentsPage->display()
#2 /srv/mediawiki/w/includes/parser/Parser.php(4293): DisplayComments::getParserHandler(NULL, array, Parser, PPFrame_Hash)
#3 /srv/mediawiki/w/includes/parser/PPFrame_Hash.php(328): Parser->extensionSubstitution(array, PPFrame_Hash)
#4 /srv/mediawiki/w/includes/parser/Parser.php(3330): PPFrame_Hash->expand(PPNode_Hash_Tree, integer)
#5 /srv/mediawiki/w/includes/parser/Parser.php(1489): Parser->replaceVariables(string)
#6 /srv/mediawiki/w/includes/parser/Parser.php(593): Parser->internalParse(string)
#7 /srv/mediawiki/w/includes/content/WikitextContent.php(368): Parser->parse(string, Title, ParserOptions, boolean, boolean, NULL)
#8 /srv/mediawiki/w/includes/content/AbstractContent.php(555): WikitextContent->fillParserOutput(Title, NULL, ParserOptions, boolean, ParserOutput)
#9 /srv/mediawiki/w/includes/EditPage.php(4120): AbstractContent->getParserOutput(Title, NULL, ParserOptions)
#10 /srv/mediawiki/w/includes/EditPage.php(4025): EditPage->doPreviewParse(WikitextContent)
#11 /srv/mediawiki/w/includes/EditPage.php(2811): EditPage->getPreviewText()
#12 /srv/mediawiki/w/includes/EditPage.php(703): EditPage->showEditForm()
#13 /srv/mediawiki/w/includes/actions/EditAction.php(55): EditPage->edit()
#14 /srv/mediawiki/w/includes/MediaWiki.php(511): EditAction->show()
#15 /srv/mediawiki/w/includes/MediaWiki.php(302): MediaWiki->performAction(Article, Title)
#16 /srv/mediawiki/w/includes/MediaWiki.php(900): MediaWiki->performRequest()
#17 /srv/mediawiki/w/includes/MediaWiki.php(527): MediaWiki->main()
#18 /srv/mediawiki/w/index.php(44): MediaWiki->run()
#19 {main}
2020-06-21 12:
Paladox claimed this task.

Fixed now.

The form has been fixed, but I'm still unable to post comments. One month has already passed since the first request. I want to fix it as soon as possible.

J-Josyu removed a subscriber: J-Josyu.

No matter how long I wait, the comment is not reflected.

I confirmed that the comment box and the submit button are reflected, but when I press the submit button, the comment is not reflected.

What are you doing Response is too late. It's funny to ignore opinions even if it's technically difficult.
Even if the conversation history disappears, please be sure to correct it.Quickly!!

John added a subscriber: John.

It works for me, posting a comment immediately shows it and deleting the comment also works.

It has not been repaired yet. This problem seems to be occurring among Japanese users. It is natural that you overseas can do it. Immediately fix the problem in Japan.

Also, I would like to see if the comment functions other than comments (delete comments, rating, etc.) work, so can you please do not delete the test comments?

I have been suffering from this problem for a very long time. Is it possible to support wikimedia and miraheze for Japanese people? discrimination? I just want you to fix quickly. How many months have you left it? To be honest, it is a poor response that exceeds the limit of patience. I’m very angry.

Please work more seriously. It doesn't matter if I think I'm a waruiyatsuda. If it ’s fixed, that ’s fine.

@J-Josyu Hi, I'm sorry you're still having problems but be patient and show good faith. We are volunteers here and try to help in the best possible way.

This may be a problem with the extension itself and not with Miraheze, you may have to contact the authors of the extension.

I say this because I have had problems with an extension that only its author could solve.

Can you tell us what kind of comment you wanted to add?
Can you try publishing several comments in Japanese, English of "Hello World"?

I still can't send comments. However, other wikis such as newusopedia can send it correctly. I'm not sure why you can't send comments only on shiropedia, but this doesn't seem to be an extension issue.

Sure, I'm bad, but which one isn't sincere? Of course, the bad thing is the "volunteers" who don't solve the problem.If you call yourself a volunteer, do what you do.

Can I contact the author if there is a problem with the extension itself? Other wikis in Japan don't have this issue, so I'm not sure if it's an extension issue, but it's better than leaving it to you. Please contact the creator.

Regarding the last question,I do not understand the meaning a little. What do you mean?

Sure, I'm bad, but which one isn't sincere? Of course, the bad thing is the "volunteers" who don't solve the problem.If you call yourself a volunteer, do what you do.

I see multiple volunteers were involved in fixing a part of this issue and trying to reproduce your other issues. Your attitude does not help solving this task. Please read http://meta.miraheze.org/wiki/Code_of_Conduct and stay civil. Thanks.

You are using Internet Explorer 11. Could you try posting a comment using Google Chrome? If that doesn't work either, can you go to a page with the comment box, open devtools networking (press F12, click on 'Network' ), attempt to post a comment on that page, generate a HAR file using 'devtools' (see https://www.medianova.com/en-blog/2019/07/15/a-step-by-step-guide-to-generating-a-har-file) and send that file to tech[at]miraheze[dot]org? Do not publish the HAR file here, since the file contains sensitive information.

I apologize for my bad attitude.I'm checking now.

It has been confirmed that comments cannot be scored, replied to, or deleted. Also, the submit button does not turn light blue when trying to submit a comment. Is it related to this matter?

@J-Josyu thank you for the HAR file. That was exactly what I needed.

The last request from your HAR file (submitting the comment) failed. I found out that you could not add comments, due to the following error: "You're not allowed to edit this wiki through the API". That error is triggered due to insufficient permissions: you do not have the writeapi right. We can see you had removed that right from various groups:

16:00, 6 June 2020 虎之介 talk contribs block changed group metadata for 特別:ManageWiki/permissions/bot: add rights (なし); removed rights apihighlimits, autopatrol, editsemiprotected, nominornewtalk, writeapi, comment, commentadmin, commentlinks, comment-delete-own; added addgroups (なし); removed addgroups ; added removegroups (なし); removed removegroups ; added addgroupstoself (なし); removed addgroupstoself (なし); added removegroupsfromself (なし); removed removegroupsfromself (なし); modified autopromotion (いいえ) (整理)
09:48, 10 March 2020 虎之介 talk contribs block changed group metadata for 特別:ManageWiki/permissions/user: add rights (なし); removed rights applychangetags, changetags, createpage, createtalk, edit, editcontentmodel, move-rootuserpages, move-subpages, purge, read, reupload-shared, writeapi, override-antispoof, centralauth-merge, skipcaptcha, torunblocked; added addgroups (なし); removed addgroups ; added removegroups (なし); removed removegroups ; added addgroupstoself (なし); removed addgroupstoself (なし); added removegroupsfromself (なし); removed removegroupsfromself (なし); modified autopromotion (いいえ) (破格の権限)
10:54, 8 March 2020 虎之介 talk contribs block changed group metadata for 特別:ManageWiki/permissions/*: add rights move, movefile, reupload-own, upload, upload_by_url, commentlinks, comment-delete-own; removed rights writeapi; added addgroups (なし); removed addgroups (なし); added removegroups (なし); removed removegroups (なし); added addgroupstoself (なし); removed addgroupstoself (なし); added removegroupsfromself (なし); removed removegroupsfromself (なし); modified autopromotion (いいえ) (追加)

Stewards and system administrators have writeapi on all Miraheze wikis, regardless of the settings imposed by bureaucrats. Therefore, we were not affected by the wrong permissions. I don't know if removing writeapi was intended, but since everyone (anonymous and logged in) can edit shiropedia.miraheze.org, I suggest you add writeapi to *.

I was able to recover! I am very happy. We would like to thank all those involved in this project.